Bug 161845 - [update] [patch] multimedia/mplayer-skins Bring in upstream updates to skins, including default skin.
Summary: [update] [patch] multimedia/mplayer-skins Bring in upstream updates to skins,...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-20 20:40 UTC by Toxic
Modified: 2012-01-11 19:20 UTC (History)
0 users

See Also:


Attachments
file.diff (8.53 KB, patch)
2011-10-20 20:40 UTC, Toxic
no flags Details | Diff
skins.diff.txt (37.96 KB, text/plain; charset=US-ASCII)
2011-12-29 17:46 UTC, Thomas Zander
no flags Details
mplayer-skins.patch.txt (46.87 KB, text/plain; charset=us-ascii)
2012-01-06 23:07 UTC, Jason Helfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toxic 2011-10-20 20:40:07 UTC
Several skins have been updated or added upstream, including the default.  Because the old versions are no longer available on the master sites, the port will not build with any of them selected, unless you've already got them in /usr/ports/distfiles.  This patch brings everything up to date.  

Skins updated to newer versions: Abyss, Default, Default-small, hwsw.  
New skins added: Atir, Clearlooks, ICY, pcland, nativeRed.

How-To-Repeat: Attempt to build port with all skins enabled and an empty distfiles area.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-20 20:40:52 UTC
Maintainer of multimedia/mplayer-skins,

Please note that PR ports/161845 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161845

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-10-20 20:40:54 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Toxic 2011-10-20 21:14:56 UTC
I included an incorrect patch with this PR submission (I used 
SKIN_CLEARLOOKS_FILE where I meant SKIN_CLEARLOOKS in the OPTIONS section).

The patch below is the correct one:


Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/multimedia/mplayer-skins/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- Makefile    13 Feb 2008 16:14:29 -0000      1.45
+++ Makefile    20 Oct 2011 19:37:00 -0000
@@ -7,7 +7,7 @@

  PORTNAME=      mplayer-skins
  PORTVERSION=   1.1.2
-PORTREVISION=  6
+PORTREVISION=  7
  CATEGORIES=    multimedia
  MASTER_SITES=  http://www.mplayerhq.hu/MPlayer/skins/ \
                 http://www4.mplayerhq.hu/MPlayer/skins/ \
@@ -38,19 +38,21 @@
  #
  # Filenames
  #
-ABYSS_FILE=            Abyss-1.6.tar.bz2
+ABYSS_FILE=            Abyss-1.7.tar.bz2
  ALIENMIND_FILE=                AlienMind-1.2.tar.bz2
  AVIFILE_FILE=          avifile-1.6.tar.bz2
+ATERFILE_FILE=         Ater-1.2.tar.bz2
  BLUECURVE_FILE=                bluecurve-1.3.tar.bz2
  BLUEHEART_FILE=                BlueHeart-1.5.tar.bz2
  CANARY_FILE=           Canary-1.2.tar.bz2
+CLEARLOOKS_FILE=       Clearlooks-1.4.tar.bz2
  CORELIAN_FILE=         Corelian-1.1.tar.bz2
  CORNERMP_AQUA_FILE=    CornerMP-aqua-1.4.tar.bz2
  CORNERMP_FILE=         CornerMP-1.2.tar.bz2
  CUBICPLAYER_FILE=      CubicPlayer-1.1.tar.bz2
  CYRUS_FILE=            Cyrus-1.2.tar.bz2
-DEFAULT_FILE=          Blue-1.7.tar.bz2
-DEFAULT_SMALL_FILE=    Blue-small-1.4.tar.bz2
+DEFAULT_FILE=          Blue-1.8.tar.bz2
+DEFAULT_SMALL_FILE=    Blue-small-1.5.tar.bz2
  DISAPPEARER_FILE=      disappearer-1.1.tar.bz2
  DIVXPLAYER_FILE=       divxplayer-1.3.tar.bz2
  DUSHKU_FILE=           Dushku-1.2.tar.bz2
@@ -58,8 +60,9 @@
  GNOME_FILE=            gnome-1.1.tar.bz2
  HANDHELD_FILE=         handheld-1.0.tar.bz2
  HAYRAPHON_FILE=                hayraphon-1.0.tar.bz2
-HWSW_FILE=             hwswskin-1.1.tar.bz2
+HWSW_FILE=             hwswskin-1.3.tar.bz2
  INDUSTRIAL_FILE=       Industrial-1.0.tar.bz2
+ICY_FILE=              ICY-1.0.tar.bz2
  ITUNES_FILE=           iTunes-1.1.tar.bz2
  ITUNES_MINI_FILE=      iTunes-mini-1.1.tar.bz2
  JIMPLAYER_FILE=                JiMPlayer-1.4.tar.bz2
@@ -70,12 +73,14 @@
  MINI_FILE=             mini-0.1.tar.bz2
  MOONPHASE_FILE=                moonphase-1.0.tar.bz2
  MPLAYER_RED_FILE=      mplayer_red-1.0.tar.bz2
+NATIVE_RED_FILE=       nativeRed-1.1.tar.bz2
  NETSCAPE4_FILE=                netscape4-1.0.tar.bz2
  NEUTRON_FILE=          neutron-1.5.tar.bz2
  NEWAGE_FILE=           new-age-1.0.tar.bz2
  ORANGE_FILE=           Orange-1.3.tar.bz2
  OSXBRUSHED_FILE=       OSX-Brushed-2.3.tar.bz2
  OSXMOD_FILE=           OSX-Mod-1.1.tar.bz2
+PCLAND_FILE=           pcland-1.0.tar.bz2
  PHONY_FILE=            phony-1.1.tar.bz2
  PLASTIC_FILE=          plastic-1.2.tar.bz2
  POWERPLAYER_FILE=      PowerPlayer-1.1.tar.bz2
@@ -105,9 +110,11 @@
  OPTIONS+=      SKIN_ABYSS "beautiful MPlayer skin" off
  OPTIONS+=      SKIN_ALIENMIND "AlienMind XMMS" off
  OPTIONS+=      SKIN_AVIFILE "aviplay look" off
+OPTIONS+=      SKIN_ATERFILE "dark, cool-looking" off
  OPTIONS+=      SKIN_BLUECURVE "bluecurve" off
  OPTIONS+=      SKIN_BLUEHEART "BlueHeart XMMS" off
  OPTIONS+=      SKIN_CANARY "small, compact" off
+OPTIONS+=      SKIN_CLEARLOOKS "modern Clearlooks" off
  OPTIONS+=      SKIN_CORELIAN "plain look" off
  OPTIONS+=      SKIN_CORNERMP "WinAMP corner" off
  OPTIONS+=      SKIN_CORNERMP_AQUA "WinAMP corner aqua" off
@@ -122,8 +129,10 @@
  OPTIONS+=      SKIN_HAYRAPHON "Hayraphon" off
  OPTIONS+=      SKIN_HWSW "simplistic" off
  OPTIONS+=      SKIN_INDUSTRIAL "Industrial GTK theme" off
+OPTIONS+=      SKIN_ICY "Nero ShowTime skin" off
  OPTIONS+=      SKIN_ITUNES "iTunes" off
  OPTIONS+=      SKIN_ITUNES_MINI "iTunes mini" off
+OPTIONS+=      SKIN_PCLAND "blue waves" off
  OPTIONS+=      SKIN_JIMPLAYER "round and colorful" off
  OPTIONS+=      SKIN_KDE "uses KDE images" off
  OPTIONS+=      SKIN_KRYSTAL "very colorful" off
@@ -132,6 +141,7 @@
  OPTIONS+=      SKIN_MINI "MPlayer-plugin for mozilla" off
  OPTIONS+=      SKIN_MOONPHASE "MoonPhase" off
  OPTIONS+=      SKIN_MPLAYER_RED "MPlayer RED" off
+OPTIONS+=      SKIN_NATIVE_RED "red and black" off
  OPTIONS+=      SKIN_NETSCAPE4 "Netscape \"unatkozok\"" off
  OPTIONS+=      SKIN_NEUTRON "futuristic look" off
  OPTIONS+=      SKIN_NEWAGE "clean and simple" off
@@ -171,13 +181,13 @@
  #
  # Allskins
  #
-ALLSKINS=      ABYSS ALIENMIND AVIFILE BLUECURVE BLUEHEART CANARY \
-               CORELIAN CORNERMP CORNERMP_AQUA CUBICPLAYER CYRUS \
+ALLSKINS=      ABYSS ALIENMIND AVIFILE ATERFILE BLUECURVE BLUEHEART 
CANARY \
+               CLEARLOOKS CORELIAN CORNERMP CORNERMP_AQUA CUBICPLAYER 
CYRUS \
                 DISAPPEARER DIVXPLAYER DUSHKU DVDPLAYER GNOME HANDHELD \
-               HAYRAPHON HWSW INDUSTRIAL ITUNES ITUNES_MINI JIMPLAYER \
+               HAYRAPHON HWSW ICY INDUSTRIAL ITUNES ITUNES_MINI JIMPLAYER \
                 KDE KRYSTAL MENTALIC MIDNIGHTLOVE MINI MOONPHASE \
                 MPLAYER_RED NETSCAPE4 NEUTRON NEWAGE ORANGE OSXBRUSHED \
-               OSXMOD PHONY PLASTIC POWERPLAYER PROTON QPLAYER \
+               OSXMOD PCLAND PHONY PLASTIC POWERPLAYER PROTON QPLAYER \
                 QUICKSILVER SESSENE SLIM SOFTGRIP TERMINATOR3 TRIUM \
                 TVISOR ULTRAFINA WEBBY WINDOWSMEDIAPLAYER6 XANIM XFCE4 \
                 XINE_LCD XMMPLAYER \
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/multimedia/mplayer-skins/distinfo,v
retrieving revision 1.32
diff -u -r1.32 distinfo
--- distinfo    3 Jul 2011 13:38:33 -0000       1.32
+++ distinfo    20 Oct 2011 19:37:00 -0000
@@ -1,15 +1,19 @@
-SHA256 (mplayer/Abyss-1.6.tar.bz2) = 
4c086f8d65acb24865def2101fe6b851b3708be5f0e342db491360f787804610
-SIZE (mplayer/Abyss-1.6.tar.bz2) = 315392
+SHA256 (mplayer/Abyss-1.7.tar.bz2) = 
a13fab46a2b25f1e81a578fb1e4ce52707cc582617defac54e2c51da508699c0
+SIZE (mplayer/Abyss-1.7.tar.bz2) = 292235
  SHA256 (mplayer/AlienMind-1.2.tar.bz2) = 
6baa0700bb303435eb5fb0f0dba15cc1b20413ff0987ea591c66c2b0c61c4129
  SIZE (mplayer/AlienMind-1.2.tar.bz2) = 131295
  SHA256 (mplayer/avifile-1.6.tar.bz2) = 
17e70a8750e2ed1d3df365060dadc9b89fd81c09fdfcd6950e85c4852d29ec28
  SIZE (mplayer/avifile-1.6.tar.bz2) = 42409
+SHA256 (mplayer/Ater-1.2.tar.bz2) = 
064a42a804bdb60f42eea13eca3788ea988bc6ec042e20f33330607269acdb13
+SIZE (mplayer/Ater-1.2.tar.bz2) = 484960
  SHA256 (mplayer/bluecurve-1.3.tar.bz2) = 
0c454b92bf2be6d6e6692036da2b15346e7d4bade31a56430da910a24b42db1b
  SIZE (mplayer/bluecurve-1.3.tar.bz2) = 38231
  SHA256 (mplayer/BlueHeart-1.5.tar.bz2) = 
794c0b93e8c1281c975ca4650442cb0f200f8840e5d567dafd903c79c1ba17f6
  SIZE (mplayer/BlueHeart-1.5.tar.bz2) = 281051
  SHA256 (mplayer/Canary-1.2.tar.bz2) = 
cb39f7d6685dfb49ca13e928969f71e5ecfcdd303fa540a46eb9ea9f154b1adf
  SIZE (mplayer/Canary-1.2.tar.bz2) = 104013
+SHA256 (mplayer/Clearlooks-1.4.tar.bz2) = 
94a6be03b4e0069f71e157debb01a764793bb5e21b808fdb6dd16cb6c472f7c1
+SIZE (mplayer/Clearlooks-1.4.tar.bz2) = 39574
  SHA256 (mplayer/Corelian-1.1.tar.bz2) = 
60d523b2d24e547233c00d1425aa9ca49edf1c3b5e80f89b6a65464af7c1706e
  SIZE (mplayer/Corelian-1.1.tar.bz2) = 284423
  SHA256 (mplayer/CornerMP-1.2.tar.bz2) = 
3d4320a178f2f8103b8f86b05c421f891df1c86f81a72651e77633f3df63016a
@@ -34,8 +38,10 @@
  SIZE (mplayer/handheld-1.0.tar.bz2) = 815670
  SHA256 (mplayer/hayraphon-1.0.tar.bz2) = 
d283f154b230466e8dc9a2ebf58f21e8f750c4f3a9a1fa8dcbde346ac59e8028
  SIZE (mplayer/hayraphon-1.0.tar.bz2) = 77577
-SHA256 (mplayer/hwswskin-1.1.tar.bz2) = 
3451c23901edbd787ff0de261aa349b62ef09054048847e9c362bc6eda5aa5e1
-SIZE (mplayer/hwswskin-1.1.tar.bz2) = 20331
+SHA256 (mplayer/hwswskin-1.3.tar.bz2) = 
3091cc3c74df09a3e81b7785a279766c5b9b722e376c4119a528417f3083b561
+SIZE (mplayer/hwswskin-1.3.tar.bz2) = 21426
+SHA256 (mplayer/ICY-1.0.tar.bz2) = 
50d293b3de70edf9262e6b80a7f18aeb97e6ad2d946b95bf44dacdb3b0456875
+SIZE (mplayer/ICY-1.0.tar.bz2) = 267671
  SHA256 (mplayer/Industrial-1.0.tar.bz2) = 
ad2ab39de639c96b4f6de13e9549cb3ddde65946659de87d3b16db515947326f
  SIZE (mplayer/Industrial-1.0.tar.bz2) = 53092
  SHA256 (mplayer/iTunes-1.1.tar.bz2) = 
4e0677906af1bef6ec92d0e9db355a99043aa394de25c85c5669340fe5b27b04
@@ -70,6 +76,8 @@
  SIZE (mplayer/OSX-Brushed-2.3.tar.bz2) = 76233
  SHA256 (mplayer/OSX-Mod-1.1.tar.bz2) = 
32036cd439d692f284d71c7ece61585b6b9cd68b52cb8555a6622df2bc4fa26a
  SIZE (mplayer/OSX-Mod-1.1.tar.bz2) = 277365
+SHA256 (mplayer/pcland-1.0.tar.bz2) = 
7956397119942368be9413f73ddd95617c9c8b3a5405e318d4dfb19542bbb0aa
+SIZE (mplayer/pcland-1.0.tar.bz2) = 496167
  SHA256 (mplayer/phony-1.1.tar.bz2) = 
45f06ed47ec463d6d6ac96209cbfff5fc98867c436f7bfc2b11a410eec42191e
  SIZE (mplayer/phony-1.1.tar.bz2) = 386399
  SHA256 (mplayer/plastic-1.2.tar.bz2) = 
27dd111a32b12d65772ccb1ad4a5163ad91454decd7ee78d5ff11d613d9e4713
@@ -108,7 +116,7 @@
  SIZE (mplayer/xine-lcd-1.2.tar.bz2) = 172270
  SHA256 (mplayer/xmmplayer-1.5.tar.bz2) = 
075c7c53d0c99eba34e29d9e01df9a5c92d278b0ac331fcd80c344acda2aed0b
  SIZE (mplayer/xmmplayer-1.5.tar.bz2) = 74184
-SHA256 (mplayer/Blue-1.7.tar.bz2) = 
8bcd39a5755c44df778ebca3119c922347abfdadb101dcef011ce2566c1fb1d8
-SIZE (mplayer/Blue-1.7.tar.bz2) = 222567
-SHA256 (mplayer/Blue-small-1.4.tar.bz2) = 
55352e7f753bf09f793639c891def48c116195d5914e6d96a610004b7057118e
-SIZE (mplayer/Blue-small-1.4.tar.bz2) = 157024
+SHA256 (mplayer/Blue-1.8.tar.bz2) = 
40b1d63fb8ccaf3c95cf24285fd19b562e82813e11db9770e71db65a12472ead
+SIZE (mplayer/Blue-1.8.tar.bz2) = 223118
+SHA256 (mplayer/Blue-small-1.5.tar.bz2) = 
37f6e2339fa7eb3936bd862f1bf2fde32a9ddb94beccb5df82bef4aafb5509e9
+SIZE (mplayer/Blue-small-1.5.tar.bz2) = 157612
Comment 4 Thomas E. Zander 2011-10-22 12:59:26 UTC
Thank you for the update. Fetching of all files works here and checksums match.
However, would you please add the new files of the new skins you added
to pkg-plist and resubmit your patch?

Thank you in advance,
Riggs
Comment 5 Thomas Zander 2011-12-29 17:46:55 UTC
Finally I got my head around this thing and make it complete.

I think it's ready to commit.

Best regards
Riggs
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-12-29 20:14:16 UTC
State Changed
From-To: feedback->open

Maintainer has submitted revised patch.
Comment 7 Jason Helfman freebsd_committer 2012-01-06 07:50:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take this
Comment 8 Jason Helfman freebsd_committer 2012-01-06 23:07:06 UTC
I have slightly modified this patch, and wondering if you wouldn't mind
testing, and commenting on this.

Thanks!
-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 9 dfilter service freebsd_committer 2012-01-11 19:17:11 UTC
jgh         2012-01-11 19:16:58 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/mplayer-skins Makefile distinfo pkg-plist 
  Added files:
    multimedia/mplayer-skins Makefile.options Makefile.skins 
  Log:
  - Update skins to the latest
  - Skins added: Atir, Clearlooks, ICY, pcland, nativeRed.
  - Cleanup port by moving skins and options out of main port Makefile and into
    their respective Makefiles (Makefile.options, Makefile.skins)
  - Update maintainer address
  
  PR:     ports/161845
  Submitted by: Jeff Burchell <toxic at doobie.com>
  Approved by:    maintainer, crees (mentor), rene (mentor)
  
  Revision  Changes    Path
  1.46      +17 -165   ports/multimedia/mplayer-skins/Makefile
  1.1       +68 -0     ports/multimedia/mplayer-skins/Makefile.options (new)
  1.1       +70 -0     ports/multimedia/mplayer-skins/Makefile.skins (new)
  1.33      +124 -114  ports/multimedia/mplayer-skins/distinfo
  1.17      +198 -12   ports/multimedia/mplayer-skins/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Jason Helfman freebsd_committer 2012-01-11 19:17:46 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!